# -*- coding: UTF-8 -*-

import time
import logging
import optparse

from django.core.management.base import BaseCommand

# Import from crma
from crma.management.mailer import Mailer

logger = logging.getLogger(__name__)


# EMAIL SCAN FREQUENCY
SCAN_EVERY = 30

OPTIONS = [
    # Name       Action        Dest     Default
    ('--debug',  'store_true', 'debug', False),
]

OPTIONS = [optparse.make_option(name, action=action, dest=dest, default=default)
           for name, action, dest, default in OPTIONS]


class Command(BaseCommand):
    if hasattr(BaseCommand, 'option_list'):
        option_list = BaseCommand.option_list + tuple(OPTIONS)

    def add_arguments(self, parser):
        super().add_arguments(parser)
        parser.add_argument('--debug',
                            action='store_true',
                            dest='debug',
                            default=False,
                            )

    def handle(self, *args, **options):
        debug = options['debug']
        mailer = Mailer(debug)

        try:
            while True:
                try:
                    mailer()
                except Exception:
                    logger.exception('Uncaught exception')
                finally:
                    # SLEEP
                    time.sleep(SCAN_EVERY)
        except (KeyboardInterrupt, SystemExit):
            return
